pkg-configでライブラリのバージョンを調べる

--modversionオプションを使う。

 

$ pkg-config --modversion libxml-2.0

$ pkg-config --modversion gtk+-2.0

 

など。